// Copyright (c) 2006, Gregory Todd <greg@oddsim.com>
//
// Permission to use, copy, modify, and/or distribute this software for any
// purpose with or without fee is hereby granted, provided that the above
// copyright notice and this permission notice appear in all copies.
// 
// THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
// WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
// MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
// ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
// WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
// ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
// OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.

using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace Othello.WinOthello
{
    public partial class NewGame : Form
    {
        public NewGame()
        {
            InitializeComponent();
        }

        public int BlackDifficulty
        {
            get { return Convert.ToInt32(nudBlack.Value); }
        }
        public int WhiteDifficulty
        {
            get { return Convert.ToInt32(nudWhite.Value); }
        }

        public bool BlackComputer
        {
            get { return rbBlackComputer.Checked; }
        }
        public bool WhiteComputer
        {
            get { return rbWhiteComputer.Checked; }
        }

        private void rbWhiteComputer_CheckedChanged(object sender, EventArgs e)
        {
            nudWhite.Enabled = rbWhiteComputer.Checked;
        }

        private void rbBlackComputer_CheckedChanged(object sender, EventArgs e)
        {
            nudBlack.Enabled = rbBlackComputer.Checked;
        }

    }
}